<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Almacen{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO almacen (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function insertarf($nombre,$descripcion,$clase){
	$sql="INSERT INTO almacen (nombre,descripcion,condicion,factory,clase) VALUES ('$nombre','$descripcion','1','1','$clase')";
	return ejecutarConsulta($sql);
}

public function editar($idalmacen,$nombre,$descripcion){
	$sql="UPDATE almacen SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idalmacen='$idalmacen'";
	return ejecutarConsulta($sql);
}

public function editarf($idalmacen,$nombre,$descripcion,$clase){
	$sql="UPDATE almacen SET nombre='$nombre',descripcion='$descripcion',clase='$clase' 
	WHERE idalmacen='$idalmacen'";
	return ejecutarConsulta($sql);
}

public function desactivar($idalmacen){
	$sql="UPDATE almacen SET condicion='0' WHERE idalmacen='$idalmacen'";
	return ejecutarConsulta($sql);
}
public function activar($idalmacen){
	$sql="UPDATE almacen SET condicion='1' WHERE idalmacen='$idalmacen'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idalmacen){
	$sql="SELECT * FROM almacen WHERE idalmacen='$idalmacen'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM almacen WHERE factory='0'";
	return ejecutarConsulta($sql);
}

public function listarf(){
	$sql="SELECT * FROM almacen WHERE factory='1'";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM almacen WHERE condicion=1 AND factory='0'";
	return ejecutarConsulta($sql);
}

public function selectf(){
	$sql="SELECT * FROM almacen WHERE condicion=1 AND factory='1'";
	return ejecutarConsulta($sql);
}

public function selectfi(){
	$sql="SELECT * FROM almacen WHERE condicion=1 AND factory='1' AND clase='INSUMO'";
	return ejecutarConsulta($sql);
}

public function selectft(){
	$sql="SELECT * FROM almacen WHERE condicion=1 AND factory='1' AND clase='TERMINADO'";
	return ejecutarConsulta($sql);
}



}

 ?>
